#!/bin/bash

function usage() {
	cat <<-EOF
		$0 <source file> <test script> [<source file> <test script>  ... ]
		    <source file> is the file with the sourc e code to be tested
		    <test script> is the .test module used to test <source file>
	EOF
}

[ $# -lt 2 ] && { usage ; exit 1; }

INFO=/dev/stdout
ERR=/dev/stderr
source ${0%/*}/misc.sh
num_module_err=0
while [ $# -gt 1 ] ; do
	src=$1
	test=$2
	sut_reset_counts
	sut_test_module $src $test
	let num_module_err+=$?
	shift 2
done
exit $num_module_err
